Bug 493527 - (perl-PlRPC) Review Request: perl-PlRPC - Interface for building pServer Clients
Review Request: perl-PlRPC - Interface for building pServer Clients
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/PlRPC
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 01:28 EDT by Chris Weyl
Modified: 2009-05-07 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-05 01:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-02 01:28:54 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-PlRPC.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-PlRPC-0.2020-1.fc10.src.rpm

Description:
PlRPC (Perl RPC) is a package that simplifies the writing of Perl based
client/server applications. RPC::PlServer is the package used on the
server side, and you guess what RPC::PlClient is for.  PlRPC works by
defining a set of methods that may be executed by the client.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272115

*rt-0.06
Comment 1 Parag AN(पराग) 2009-04-02 03:08:34 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1272115
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5361e137e56d037c5e796926ecb5300b  PlRPC-0.2020.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
+ Package perl-PlRPC-0.2020-1.fc11.noarch =>
  Provides: perl(Bundle::PlRPC) = 0.03 perl(RPC::PlClient) = 0.2020 perl(RPC::PlClient::Comm) = 0.1002 perl(RPC::PlClient::Object) perl(RPC::PlServer) = 0.2020 perl(RPC::PlServer::Comm) = 0.1003 perl(RPC::PlServer::Test) = 0.01
  Requires: perl >= 0:5.004 perl(IO::Socket) perl(Net::Daemon) perl(Net::Daemon::Log) perl(Net::Daemon::Test) perl(RPC::PlClient::Comm) perl(RPC::PlServer) perl(RPC::PlServer::Comm) perl(Storable) perl(strict) perl(vars)


APPROVED.
Comment 2 Parag AN(पराग) 2009-04-02 03:11:38 EDT
ah sorry forgot to remove make test checkitem from above review as there is no make check for this package used.
Comment 3 Chris Weyl 2009-04-02 03:13:47 EDT
New Package CVS Request
=======================
Package Name: perl-PlRPC
Short Description: Interface for building pServer Clients
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-04-03 16:48:14 EDT
cvs done.
Comment 5 Chris Weyl 2009-04-05 01:57:16 EDT
Thanks for the review! :-)
Comment 6 Lubomir Rintel 2009-05-07 02:53:23 EDT
Chris: I'll be very thankful if this was in EPEL-5 as well. Could you please request an EL-5 branch (I'd gladly do that if you have a reason for not maintaining it there).

Thanks!

Note You need to log in before you can comment on or make changes to this bug.